package io.swagger.api;

import io.swagger.model.InlineResponse2007;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@javax.annotation.Generated(value = "class io.swagger.codegen.languages.SpringCodegen", date = "2016-11-03T11:51:04.465+04:00")

@Api(value = "ftp", description = "the ftp API")
public interface FtpApi {

    @ApiOperation(value = "Получить список зарегистрированных аккаунтов FTP", notes = "", response = InlineResponse2007.class, responseContainer = "List", tags={ "Веб-сайты - hosting_ftp (внутреннее API)", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список FTP-аккаунтов", response = InlineResponse2007.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2007.class) })
    @RequestMapping(value = "/ftp/list",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<List<InlineResponse2007>> ftpListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_);

}
