package io.swagger.api;

import io.swagger.model.InlineResponse2009;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@javax.annotation.Generated(value = "class io.swagger.codegen.languages.SpringCodegen", date = "2016-11-03T11:51:04.465+04:00")

@Api(value = "mssql", description = "the mssql API")
public interface MssqlApi {

    @ApiOperation(value = "Получить список аккаунтов в MSSQL", notes = "", response = InlineResponse2009.class, responseContainer = "List", tags={ "Базы данных - Microsoft SQL Server", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список аккаунтов MSSQL", response = InlineResponse2009.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2009.class) })
    @RequestMapping(value = "/mssql/list",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<List<InlineResponse2009>> mssqlListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_);

}
