package io.swagger.api;

import java.math.BigDecimal;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@javax.annotation.Generated(value = "class io.swagger.codegen.languages.SpringCodegen", date = "2016-11-03T11:51:04.465+04:00")

@Api(value = "balance.lic", description = "the balance.lic API")
public interface BalanceLicApi {

    @ApiOperation(value = "Аккаунт: баланс аккаунта лицензий", notes = "Возвращает текущий баланс аккаунта лицензий", response = BigDecimal.class, tags={ "Аккаунт - биллинг, свойства и статус", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Текущий баланс аккаунта лицензий", response = BigDecimal.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = BigDecimal.class) })
    @RequestMapping(value = "/balance.lic",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<BigDecimal> balanceLicGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_);

}
