package io.swagger.api;

import io.swagger.model.InlineResponse20010;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@javax.annotation.Generated(value = "class io.swagger.codegen.languages.SpringCodegen", date = "2016-11-03T11:51:04.465+04:00")

@Api(value = "updates", description = "the updates API")
public interface UpdatesApi {

    @ApiOperation(value = "Идентификатор последнего уведомления в аудите", notes = "", response = Integer.class, tags={ "Аккаунт - аудит аккаунта (события)", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Идентификатор последнего уведомления в аудите", response = Integer.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = Integer.class) })
    @RequestMapping(value = "/updates/last",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<Integer> updatesLastGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_);


    @ApiOperation(value = "Список записей аудита", notes = "", response = InlineResponse20010.class, responseContainer = "List", tags={ "Аккаунт - аудит аккаунта (события)", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список записей аудита", response = InlineResponse20010.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20010.class) })
    @RequestMapping(value = "/updates/list",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<List<InlineResponse20010>> updatesListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_,@ApiParam(value = "ID первой записи для показа или 0 для показа всех записей", required = true) @RequestParam(value = "key_", required = true) Integer key_);

}
