package io.swagger.api;

import io.swagger.model.InlineResponse20014;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@javax.annotation.Generated(value = "class io.swagger.codegen.languages.SpringCodegen", date = "2016-11-03T11:51:04.465+04:00")

@Api(value = "website", description = "the website API")
public interface WebsiteApi {

    @ApiOperation(value = "Удаление сайта", notes = "", response = String.class, tags={ "Веб-сайты - список, свойства, статусы", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    @RequestMapping(value = "/website/delete",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<String> websiteDeleteGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_,@ApiParam(value = "ID сайта, полученный из /website/list", required = true) @RequestParam(value = "key_", required = true) String key_);


    @ApiOperation(value = "Список сайтов аккаунта", notes = "", response = InlineResponse20014.class, responseContainer = "List", tags={ "Веб-сайты - список, свойства, статусы", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список сайтов аккаунта", response = InlineResponse20014.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20014.class) })
    @RequestMapping(value = "/website/list",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.GET)
    ResponseEntity<List<InlineResponse20014>> websiteListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации", required = true) @RequestParam(value = "token_", required = true) String token_);

}
